# Exercise - Knapsack

# DATA
param n;
set N := 1..n;
param Weight {N};
param Value {N};
param Capacity;

# VARIABLES
var x {N} binary;		# Selection variables

# CONSTRAINT
# Capacity constraint
subject to Cap_constr:
  sum {i in N} Weight[i] * x[i] <= Capacity;
  
# OBJECTIVE
# Maximize the total value of the selected items
maximize z: sum {i in N} Value[i] * x[i];

##################
data;
param n := 17;
param: Weight   Value :=   
 1		252		20   
 2		250		28   
 3		247		25   
 4		242		19   
 5		228		20   
 6		220		24   
 7		218		19   
 8		199		15   
 9		193		18   
10		181		16   
11		160		14   
12		147		 8   
13		140		 7   
14		130		 5   
15		128		 8   
16		125		 6   
17		120		 8;
 
param Capacity := 600;

end;
###########

Cost	   
600		1000	   
900		1500	 